Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase Class Reference

Section Handler. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| Creates a new DoctrineDatabase Section Gateway. More...
| insertSection ($name, $identifier)
| Inserts a new section with $name and $identifier. More...
| updateSection ($id, $name, $identifier)
| Updates section with $id to have $name and $identifier. More...
| loadSectionData ($id)
| Loads data for section with $id. More...
| loadAllSectionData ()
| Loads data for all sections. More...
| loadSectionDataByIdentifier ($identifier)
| Loads data for section with $identifier. More...
| countContentObjectsInSection ($id)
| Counts the number of content objects assigned to section with $id. More...
| countPoliciesUsingSection ($id)
| Counts the number of role policies using section with $id in their limitations. More...
| countRoleAssignmentsUsingSection ($id)
| Counts the number of role assignments using section with $id in their limitations. More...
| deleteSection ($id)
| Deletes the Section with $id. More...
| assignSectionToContent ($sectionId, $contentId)
| Inserts the assignment of $contentId to $sectionId. More...

## Protected Attributes
| $dbHandler

## Detailed Description

Section Handler.

Definition at line 15 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $dbHandler | ) |

Creates a new DoctrineDatabase Section Gateway.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 31 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase\$dbHandler.

## Member Function Documentation

## ◆ assignSectionToContent()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::assignSectionToContent | ( |  | $sectionId,
|  |  | $contentId
| ) |  |

Inserts the assignment of $contentId to $sectionId.

Parameters

  int | $sectionId |
  int | $contentId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 308 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ countContentObjectsInSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::countContentObjectsInSection | ( |  | $id | ) |

Counts the number of content objects assigned to section with $id.

Parameters

  int | $id |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 182 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ countPoliciesUsingSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::countPoliciesUsingSection | ( |  | $id | ) |

Counts the number of role policies using section with $id in their limitations.

Parameters

  int | $id |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 214 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ countRoleAssignmentsUsingSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::countRoleAssignmentsUsingSection | ( |  | $id | ) |

Counts the number of role assignments using section with $id in their limitations.

Parameters

  int | $id |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 254 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ deleteSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::deleteSection | ( |  | $id | ) |

Deletes the Section with $id.

Parameters

  int | $id |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 287 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ insertSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::insertSection | ( |  | $name,
|  |  | $identifier
| ) |  |

Inserts a new section with $name and $identifier.

Parameters

  string | $name |
  string | $identifier |

Returns
  int The ID of the new section

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 44 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ loadAllSectionData()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::loadAllSectionData | ( |  | ) |

Loads data for all sections.

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 129 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ loadSectionData()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::loadSectionData | ( |  | $id | ) |

Loads data for section with $id.

Parameters

  int | $id |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 102 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ loadSectionDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::loadSectionDataByIdentifier | ( |  | $identifier | ) |

Loads data for section with $identifier.

Parameters

  int | $identifier |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 153 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## ◆ updateSection()

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::updateSection | ( |  | $id,
|  |  | $name,
|  |  | $identifier
| ) |  |

Updates section with $id to have $name and $identifier.

Parameters

  int | $id |
  string | $name |
  string | $identifier |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway.

Definition at line 74 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

## Member Data Documentation

## ◆ $dbHandler

eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase::$dbHandler
| protected

Definition at line 24 of file Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Section\Gateway\DoctrineDatabase\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Section/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.